---
title: HTMLTableElement.border
slug: Web/API/HTMLTableElement/border
tags:
  - API
  - Deprecated
  - HTML DOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}{{deprecated_header()}}</div>

<p>The <strong><code>HTMLTableElement.border</code></strong> property represents the border width of the {{HtmlElement("table")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableElement</em>.border = <em>border</em>;
var <em>border</em> = <em>HTMLTableElement</em>.border;
</pre>

<ul>
 <li><code>border</code> is a string representing the width of the border in pixels.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Set the width of a table border to 2 pixels
var t = document.getElementById('TableA');
t.border = '2';</pre>

<h2 id="Specifications">Specifications</h2>

<p>W3C DOM 2 HTML Specification <a class="external" href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-50969400"><em>HTMLTableElement</em> .border</a>.</p>

<p>This attribute is deprecated in HTML 4.0.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLTableElement.border")}}</p>
